#!/bin/sh
# *******************************************************************************
#  Licenc hatálya alá eső anyagok - Az IBM tulajdona
#  (c) Copyright IBM Corporation 2006, 2011. Minden jog fenntartva.
#
#  Megjegyzés az Egyesült Államok kormányzati felhasználóinak korlátozott jogaira vonatkozóan:
#  A használatot, sokszorosítást vagy közzétételt az IBM vállalattal kötött GSA ADP Schedule
#  Contract szerződés szabályozza.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Adja meg a környezeti változókat, amelyek megfelelnek a
# # ccm_upgrade.bat parancsfájl paramétereinek, és azok alapértelmezett értékeit
# #
# #===========================================================
# #
# # Ezt a fájlt a ccm_upgrade.bat végrehajtásának kezdetekor
# # olvassa be a rendszer. Egy környezeti változót állít be
# # érvényes, előre meghatározott alapértelmezett értékkel rendelkező paraméterenként.
# #
# # A felhasználók módosíthatják az alapértelmezett értéket a
# # ccm_upgrade.bat saját értékekkel való indításához,
# # anélkül, hogy meg kellene adniuk a paramétert és a
# # megfelelő értéküket a parancssorban.
# #
# # FIGYELMEZTETÉS:
# # Nem minden változót szükséges beállítani minden
# # alkalmazáshoz.  Olvasson el figyelmesen minden megjegyzést az
# # érték módosítása előtt.
# #
# #############################################################

# Parameter: -oldApplicationHome
# Használat: -oldApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás saját könyvtárának teljes elérési útvonala 2.x telepítés esetén.
# Alapértelmezett:
# 	<nincs>
# Megszorítások:
#  - ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /Jazz/IBM/RTC_2.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Parameter: -applicationContextRoot
# Használat: -applicationContextRoot<gyökér>
# Leírás:
# 	A 2.x kiszolgáló alkalmazáskontextus-gyökere.
# Alapértelmezett:
# 	jazz
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
 APPLICATION_CONTEXT_ROOT=jazz

# Parameter: -updateTomcatFiles
# Használat: -updateTomcatFiles <yes | no>
# Leírás:
# 	Frissítse-e a Tomcat konfigurációs fájlokat?
# Alapértelmezett:
# 	yes
# Megszorítások:
#  - Csak a 'yes' és a 'no' érvényes érték
#
UPDATE_TOMCAT_FILES=yes

# Parameter: -oldTomcatHome
# Használat: -oldTomcatHome <könyvtár útvonala>
# Leírás:
# 	A Tomcat gyökérkönyvtárának teljes elérési útvonala a 2.x telepítés esetén.
# Alapértelmezett:
# 	<nincs>
# Megszorítások:
#  - Létező könyvtárnak kell lennie
#
OLD_TOMCAT_HOME=

# Parameter: -newApplicationHome
# Használat: -newApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás saját könyvtárának elérési útvonala a 3.x telepítés esetén.
# Alapértelmezett:
# 	conf
# Megszorítások:
#  - Kizárólag RTC, QM és RM frissítés esetében engedélyezett
#  - Elfogadása esetén ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /Jazz/IBM/RTC_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Parameter: -newJTSHome
# Használat: -newJTSHome <könyvtár elérési útja>
# Leírás:
# 	a JTS kiszolgáló konfigurációs könyvtárának elérési útja a 3.0.1 telepítésben
# Alapértelmezett:
# 	Az új alkalmazás saját könyvtára
# Megszorítások:
#  - a <könyvtár elérési útja> egy létező könyvtárnak kell lennie a következő végződéssel: 'server/conf'
#
NEW_JTS_HOME=

# Parameter: -jtsContextRoot
# Használat: -jtsContextRoot <gyökér>
# Leírás:
# 	A 3.x JTS kiszolgáló kontextusgyökere.
# Alapértelmezett:
# 	jts
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
JTS_CONTEXT_ROOT=jts

# Parameter: -newApplicationTomcatHome
# Használat: -newApplicationTomcatHome <könyvtár útvonala>
# Leírás:
# 	A Tomcat alkalmazás gyökérkönyvtárának elérési útvonala 3.x telepítés esetén.
# Alapértelmezett:
# 	<nincs>
#
NEW_TOMCAT_HOME=

# Parameter: -newJTSTomcatHome
# Használat: -newJTSTomcatHome <könyvtár útvonala>
# Leírás:
# 	A JTS Tomcat gyökérkönyvtárának elérési útvonala a 3.x telepítés esetén.
# Alapértelmezett:
# 	<nincs>
#
NEW_JTS_TOMCAT_HOME=

# Parameter: -noPrompt
# Használat: -noPrompt
# Leírás:
# 	Ne kérdezzen rá a táblák létrehozása vagy módosítása előtt
# Alapértelmezett:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noPrompt'
#
# set NO_PROMPT=noPrompt
NO_PROMPT=

# Parameter: -noVerify
# Használat: -noVerify
# Leírás:
# 	Ne hajtsa végre a teamserver.properties fájlok ellenőrzését.
# Alapértelmezett:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parameter: -overwrite
# Használat: -overwrite
# Leírás:
# 	Felülírjon-e bármilyen létező fájlt?
# Alapértelmezett:
# 	no
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parameter: -importFromFile
# Használat: -importFromFile <fájl útvonala>
# Leírás:
# 	Adatok importálása egy 2.x exportált tar fájlból.
# Alapértelmezett:
# 	<nincs>
# Megszorítások:
#  - Az útvonalnak egy létező és érvényes fájlra kell mutatnia
#
IMPORT_FROM_FILE=

# Parameter: -noStepPrompt
# Használat: -noStepPrompt
# Leírás:
# 	Ne kérdezzen rá egy lépés végrehajtása előtt.
# Alapértelmezett:
# 	false
# Megszorítások:
#  - Az egyedül érvényes értékek a következők: 'true' vagy 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
