#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2006, 2011. Wszelkie prawa zastrzeżone.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Zdefiniuj zmienne środowiskowe odpowiadające parametrom
# # skryptu jts_upgrade.sh i ich domyślnym wartościom.
# #
# #===========================================================
# #
# # Ten plik jest odczytywany na początku wykonania skryptu
# # jts_upgrade.sh. Ustawia on po jednej zmiennej
# # środowiskowej dla każdego poprawnego parametru
# # o zdefiniowanej wstępnie wartości domyślnej.
# #
# #
# # Użytkownicy mogą modyfikować wartości domyślne w celu
# # uruchomienia skryptu jts_upgrade.sh z własnymi
# # wartościami, bez konieczności wprowadzania parametrów
# # i ich wartości ręcznie w wierszu komend.
# #
# # Ostrzeżenie:
# # Nie wszystkie zmienne są wymagane dla każdej
# # aplikacji.  Należy przeczytać uważnie każdy komentarz przed
# # zmodyfikowaniem wartości.
# #
# #############################################################

# Parametr: -oldJTSHome
# Składnia: -oldJTSHome <ścieżka do katalogu>
# Opis:
#  Pełna ścieżka do katalogu głównego JTS w instalacji 2.x.
# Wartość domyślna:
# 	<brak>
# Uwaga:
#     Jeśli wartość zostanie podana, oznacza to, że zostanie przeprowadzona
#     aktualizacja wersji 3.0 do wersji 3.0.1 dla produktów RTC i JTS. W przeciwnym razie, gdy zostanie wykryta aktualizacja
#     tego rodzaju, będzie ona dotyczyć tylko produktu RTC.
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#  - Parametr jest używany tylko dla aktualizacji aplikacji RM i serwera JTS.
#
OLD_JTS_HOME=

# Parametr: -jtsContextRoot
# Składnia: -jtsContextRoot <katalog główny>
# Opis:
#  Kontekstowy katalog główny produktu JTS.
# Wartość domyślna:
# 	jts
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (bez początkowego ukośnika itp.).
#
JTS_CONTEXT_ROOT=jts

# Parametr: -updateTomcatFiles
# Składnia: -updateTomcatFiles <yes | no>
# Opis:
# 	Określa, czy mają być aktualizowane pliki konfiguracyjne serwera Tomcat.
# Wartość domyślna:
# 	yes
# Ograniczenia:
#  - jedyne poprawne wartości to yes i no.
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldTomcatHome
# Składnia: -oldTomcatHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego serwera Tomcat w instalacji 2.x.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Ścieżka musi wskazywać istniejący katalog.
#
OLD_TOMCAT_HOME=

# Parametr: -newJTSHome
# Składnia: -newJTSHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu konfiguracji serwera JTS dla instalacji w wersji 3.0.1.
# Wartość domyślna:
# 	conf
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf.
#
NEW_JTS_HOME="$START_DIR/conf"

# Parametr: -newTomcatHome
# Składnia: -newTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego serwera Tomcat dla instalacji w wersji 3.0.1.
# Wartość domyślna:
# 	<brak>
#
NEW_TOMCAT_HOME=

# Parametr: -noPrompt
# Składnia: -noPrompt
# Opis:
# 	Wyłącza wyświetlanie zapytania przed utworzeniem lub zmodyfikowaniem tabel.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość noPrompt.
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -noVerify
# Składnia: -noVerify
# Opis:
#  Nie sprawdzaj poprawności plików teamserver.properties.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość noVerify.
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -overwrite
# Składnia: -overwrite
# Opis:
#  Określa, czy nadpisywać istniejące pliki.
# Wartość domyślna:
# 	no
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość overwrite=yes.
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -noStepPrompt
# Składnia: -noStepPrompt
# Opis:
#  nie wyświetlaj podpowiedzi przed wykonaniem kroku.
# Wartość domyślna:
# 	false
# Ograniczenia:
#  - jedyne poprawne wartości to true lub false.
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
