#!/bin/sh
# *******************************************************************************
#  Licencované materiály - vlastnictví IBM
#  (c) Copyright IBM Corporation 2006, 2011. Všechna práva vyhrazena.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Definujte proměnné prostředí odpovídající parametrům
# # skriptu qm_upgrade.sh a jejich výchozím hodnotám
# #
# #===========================================================
# #
# # Tento soubor se čte na začátku provedení skriptu
# # qm_upgrade.sh. Nastavuje jednu proměnnou prostředí pro
# # jeden platný parametr pomocí předdefinované výchozí hodnoty.
# #
# # Uživatelé mohou výchozí hodnotu upravit, a docílit tak
# # spouštění skriptu qm_upgrade.sh se svými vlastními hodnotami
# # bez nutnosti ručního zadávání parametrů s jejich hodnotami
# # do příkazového řádku.
# #
# # VAROVÁNÍ:
# # Není nutné nastavovat všechny proměnné pro každou
# # aplikaci. Před úpravou hodnoty si pozorně přečtěte
# # komentář.
# #
# #############################################################

# Parametr: -oldApplicationHome
# Použití: -oldApplicationHome <cesta k adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři aplikace v instalaci 2.x.
# Výchozí:
# 	<není>
# Omezení:
#  - toto je povinný parametr
#  - <cesta_k_adresáři> musí určovat existující adresář a musí končit řetězcem 'server/conf'
#    např. /Jazz/IBM/RQM_2.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Parametr: -applicationContextRoot
# Použití: -applicationContextRoot<root>
# Popis:
# 	Kontextový kořenový adresář aplikace serveru 2.x.
# Výchozí:
# 	jazz
# Omezení:
#  - <kořen> musí být platný název jednoho adresáře (tj. bez úvodního lomítka)
#
APPLICATION_CONTEXT_ROOT=jazz

# Parametr: -updateTomcatFiles
# Použití: -updateTomcatFiles <yes | no>
# Popis:
# 	Zda mají být aktualizovány konfigurační soubory tomcat.
# Výchozí:
# 	yes
# Omezení:
#  - Jediné platné hodnoty: 'yes' a 'no'
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldTomcatHome
# Použití: -oldTomcatHome <cesta k adresáři>
# Popis:
# 	Úplná cesta ke kořenovému adresáři Tomcat v instalaci 2.x.
# Výchozí:
# 	<není>
# Omezení:
#  - Musí být existujícím adresářem
#
OLD_TOMCAT_HOME=

# Parametr: -newApplicationHome
# Použití: -newApplicationHome <cesta k adresáři>
# Popis:
# 	Cesta k domovskému adresáři aplikace v instalaci 3.x.
# Výchozí:
# 	conf
# Omezení:
#  - Akceptuje se pouze pro upgrade produktů RTC, QM a RM
#  - Je-li akceptován, jde o povinný parametr
#  - <cesta_k_adresáři> musí odkazovat na existující adresář a musí končit
#    řetězcem 'server/conf'
#    např. /Jazz/IBM/RQM_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Parametr: -newJTSHome
# Použití: -newJTSHome <cesta k adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři JTS v instalaci 3.x.
# Výchozí:
#  Nový	domovský adresář nové aplikace
# Omezení:
#  - <cesta_k_adresáři> musí odkazovat na existující adresář a musí končit
#    řetězcem 'server/conf'
#    např. /Jazz/IBM/RQM_3.0/JazzTeamServer/server/conf
NEW_JTS_HOME=

# Parametr: -jtsContextRoot
# Použití: -jtsContextRoot <root>
# Popis:
# 	Kontextový kořenový adresář serveru 3.x JTS.
# Výchozí:
# 	jts
# Omezení:
#  - <kořen> musí být platný název jednoho adresáře (tj. bez úvodního lomítka)
#
JTS_CONTEXT_ROOT=jts

# Parametr: -newApplicationTomcatHome
# Použití: -newApplicationTomcatHome <cesta k adresáři>
# Popis:
# 	Cesta ke kořenovému adresáři aplikací serveru Tomcat v instalaci 3.x.
# Výchozí:
# 	<není>
#
NEW_TOMCAT_HOME=

# Parametr: -newJTSTomcatHome
# Použití: -newJTSTomcatHome <cesta k adresáři>
# Popis:
# 	Cesta ke kořenovému adresáři aplikací serveru Tomcat v instalaci 3.x.
# Výchozí:
# 	<není>
#
NEW_JTS_TOMCAT_HOME=

# Parametr: -noPrompt
# Použití: -noPrompt
# Popis:
# 	Nedotazovat se před vytvořením či úpravou tabulek
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -noVerify
# Použití: -noVerify
# Popis:
# 	Neprovádět verifikaci platnosti souborů teamserver.properties.
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -overwrite
# Použití: -overwrite
# Popis:
# 	Zda má být přepsán případný již existující soubor.
# Výchozí:
# 	no
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -importFromFile
# Použití: -importFromFile <cesta k souboru>
# Popis:
# 	Importovat data z exportovaného souboru tar 2.x.
# Výchozí:
# 	<není>
# Omezení:
#  - Cesta musí ukazovat na existující a platný soubor
#
IMPORT_FROM_FILE=

# Parametr: -noStepPrompt
# Použití: -noStepPrompt
# Popis:
# 	Nedotazovat se před provedením kroku.
# Výchozí:
# 	false
# Omezení:
#  - Jediné platné hodnoty: 'true' a 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
